QGIS Application - Bug report #13224
Join without table in map causes crash
2015-08-17 01:19 PM - Matthew Baker

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.10.1 Regression?:

Operating System: Ubuntu, Windows 7 Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 21285
Description

When attempting to perform a join on a shapefile layer from the layer properties dialogue box, if a table is not present in the QGIS project,

QGIS will crash.

To reproduce:

- create a new QGIS project

- add a .SHP to the map

- open the layer properties dialogue box
- click the 'Joins' section

- click the '+'icon to add a join

- QGIS should crash

| have tried this on 1 Ubuntu machine and 2 Windows machines

Associated revisions

Revision ab7c0bff - 2015-08-24 03:22 PM - Denis Rouzaud

Fix #13224 add joins crashes if no other vector layer exists

Revision 276b013e - 2015-08-24 03:24 PM - Denis Rouzaud

Fix #13224 add joins crashes if no other vector layer exists

History

#1 - 2015-08-24 06:22 AM - Denis Rouzaud
- Status changed from Open to Closed

Fixed in changeset commit:"ab7c0bff8719a756da06ea193d3545d1a7e418a3".
